# OpenLayers.Layer.Boxes

Draw divs as ‘boxes’ on the layer.

#### Inherits from

- OpenLayers.Layer.Markers

Summary

OpenLayers.Layer.Boxes | Draw divs as ‘boxes’ on the layer.
Constructor |
OpenLayers.Layer.Boxes |
Functions |
drawMarker | Calculate the pixel location for the marker, create it, and add it to the layer’s div
removeMarker |

### Constructor

### OpenLayers.Layer.Boxes

#### Parameters

name | {String}
options | {Object} Hashtable of extra options to tag onto the layer

### Functions

### drawMarker

> drawMarker: function( | marker | )

Calculate the pixel location for the marker, create it, and add it to the layer’s div

#### Parameters

marker | {OpenLayers.Marker.Box}

### removeMarker

> removeMarker: function( | marker | )

#### Parameters

marker | {OpenLayers.Marker.Box}

> drawMarker: function( | marker | )

Calculate the pixel location for the marker, create it, and add it to the layer’s div

> removeMarker: function( | marker | )

Close